Network
Get network information
Query Parameters
at?string
Fetch at specific point in time
Format
date-timeResponse Body
application/json
curl -X GET "https://example.com/v1"{ "time": "2019-08-24T14:15:22Z", "latestLedger": "string", "statistics": { "hasQuorumIntersection": true, "hasTransitiveQuorumSet": false, "minBlockingSetFilteredSize": 0, "minBlockingSetOrgsFilteredSize": 0, "minBlockingSetOrgsSize": 0, "minBlockingSetSize": 0, "minSplittingSetOrgsSize": 0, "minSplittingSetCountrySize": 0, "minSplittingSetISPSize": 0, "minSplittingSetSize": 0, "nrOfActiveFullValidators": 0, "nrOfActiveOrganizations": 0, "nrOfActiveValidators": 0, "nrOfActiveWatchers": 0, "time": "2019-08-24T14:15:22Z", "topTierOrgsSize": 0, "topTierSize": 0, "transitiveQuorumSetSize": 0 }, "id": "Public Global Stellar Network ; September 2015", "name": "Public network", "nodes": [ { "active": false, "activeInScp": false, "alias": "string", "dateDiscovered": "2019-08-24T14:15:22Z", "dateUpdated": "2019-08-24T14:15:22Z", "displayName": "string", "geoData": { "countryCode": "string", "countryName": "string", "latitude": 0, "longitude": 0 }, "historyUrl": "string", "homeDomain": "string", "host": "string", "index": 0, "lag": 0, "ip": "127.0.0.1", "isFullValidator": false, "isValidating": false, "isValidator": true, "isp": "string", "key": "127.0.0.1:11625", "ledgerVersion": 0, "name": "string", "networkId": "string", "organizationId": "string", "overLoaded": false, "overlayMinVersion": 0, "overlayVersion": 0, "port": 0, "publicKey": "string", "quorumSet": { "innerQuorumSets": [ {} ], "threshold": 0, "validators": [ "string" ] }, "quorumSetHashKey": "string", "statistics": { "active24HoursPercentage": 0, "active30DaysPercentage": 0, "has24HourStats": false, "has30DayStats": false, "overLoaded24HoursPercentage": 0, "overLoaded30DaysPercentage": 0, "validating24HoursPercentage": 0, "validating30DaysPercentage": 0 }, "versionStr": "string", "historyArchiveHasError": true } ], "organizations": [ { "dateDiscovered": "2019-08-24T14:15:22Z", "dba": "string", "description": "string", "github": "string", "has24HourStats": false, "has30DayStats": false, "horizonUrl": "string", "id": "string", "hasReliableUptime": true, "keybase": "string", "logo": "string", "name": "string", "officialEmail": "string", "phoneNumber": "string", "physicalAddress": "string", "subQuorum24HoursAvailability": 0, "subQuorum30DaysAvailability": 0, "subQuorumAvailable": false, "twitter": "string", "url": "string", "tomlState": "string", "tomlWarnings": [ "string" ], "tomlLatestAttempt": { "authoritative": true, "contentCaptured": true, "observedAt": "2019-08-24T14:15:22Z", "result": "success", "state": "Unknown", "warnings": [ "TlsCertificateVerificationDisabled" ] }, "tomlLatestFailure": { "authoritative": true, "contentCaptured": true, "observedAt": "2019-08-24T14:15:22Z", "result": "failure", "state": "Unknown", "warnings": [ "TlsCertificateVerificationDisabled" ] }, "tomlLatestInsecureAttempt": { "authoritative": true, "contentCaptured": true, "observedAt": "2019-08-24T14:15:22Z", "result": "success", "state": "Unknown", "warnings": [ "TlsCertificateVerificationDisabled" ] }, "stellarToml": { "content": "string", "observedAt": "2019-08-24T14:15:22Z", "url": "string", "warnings": [ "TlsCertificateVerificationDisabled" ] }, "validators": [] } ], "transitiveQuorumSet": [ "string" ], "scc": [ [ "string" ] ]}